# vim: set sw=4 ts=4 et nu:

Name:               mp3info
Version:            0.8.5a
Release:            1.5
Summary:            MP3 Technical Info Viewer and ID3 1.x Tag Editor
Source:             http://www.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/mp3info-%{version}.tgz
URL:                http://ibiblio.org/mp3info/
Group:              Productivity/Multimedia/Sound/Utilities
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ncurses-devel
BuildRequires:      gtk2-devel
BuildRequires:      gcc make glibc-devel pkgconfig

%description
MP3Info is a little utility used to read and modify the ID3 tags of MP3 files.
MP3Info can also display various technical aspects of an MP3 file including
playing time, bit-rate, sampling frequency and other attributes in a
pre-defined or user-specifiable output format.

%package -n gmp3info
Summary:            MP3 Technical Info Viewer and ID3 1.x Tag Editor
Group:              Productivity/Multimedia/Sound/Utilities

%description -n gmp3info
MP3Info is a little utility used to read and modify the ID3 tags of MP3 files.
MP3Info can also display various technical aspects of an MP3 file including
playing time, bit-rate, sampling frequency and other attributes in a
pre-defined or user-specifiable output format.

This package contains a graphical user interface.

%prep
%setup -q

%build
%__make %{?_smp_flags} \
    prefix="%{_prefix}" \
    bindir="%{_bindir}" \
    mandir="%{_mandir}/man1" \
    STRIP=touch \
    CC="%__cc" \
    CFLAGS="%{optflags}"

%install
%__install -d "%{buildroot}%{_bindir}"
%__install -d "%{buildroot}%{_mandir}/man1"
%__make \
    prefix="%{buildroot}%{_prefix}" \
    bindir="%{buildroot}%{_bindir}" \
    mandir="%{buildroot}%{_mandir}/man1" \
    STRIP=touch \
    CC="%__cc" \
    CFLAGS="%{optflags}" \
    install

%__chmod 0644 "%{buildroot}%{_mandir}/man1"/*.1

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc README LICENSE ChangeLog
%{_bindir}/mp3info
%doc %{_mandir}/man1/mp3info.1*

%files -n gmp3info
%defattr(-,root,root)
%doc README LICENSE ChangeLog
%{_bindir}/gmp3info

%changelog
* Sun Sep 25 2011 pascal.bleser@opensuse.org
- initial version (0.8.5a)
